import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:sudoku/cubit/game_cubit.dart';
import 'package:sudoku/models/game/game.dart';

class ButtonShowConflicts extends StatelessWidget {
  const ButtonShowConflicts({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        return StyledButton(
          color: currentGame.showConflicts == true ? Colors.amber : Colors.grey,
          child: const Image(
            image: AssetImage('assets/ui/button_show_conflicts.png'),
            fit: BoxFit.fill,
          ),
          onPressed: () {
            BlocProvider.of<GameCubit>(context).toggleShowConflicts();
          },
        );
      },
    );
  }
}
